Youtube-Comment-Scraper-Python is a python library to fetch video comments on youtube using browser automation. 
It currently runs only on windows.

### Example1
In this example we first import library, then we will open the video and fetch comments one time only.
```sh
from youtube_comment_scraper_python import *
youtube.open("https://www.youtube.com/watch?v=C5duQyX7Gec")
response=youtube.video_comments()
data=response['body']
#data=[{"Comment": "This planet belongs to all of us ", "UserLink": "https://www.youtube.com/channel/UCpH24tSZnFGAECI_ZCa7jJQ", "user": "
Mohd Haris", "Time": "14 hours ago", "Likes": "23"}]
```

### Example2:- Load More Comments
In this example we first import library, then we will open the video and fetch the comments five times, as it scrolls whenever function called.
```sh
from youtube_comment_scraper_python import *
youtube.open("https://www.youtube.com/watch?v=C5duQyX7Gec")
all_data=[]
for i in range(0,5):
	response=youtube.video_comments()
	data=response['body']
	all_data.extend(data)
#data=[{"Comment": "This planet belongs to all of us ", "UserLink": "https://www.youtube.com/channel/UCpH24tSZnFGAECI_ZCa7jJQ", "user": "
Mohd Haris", "Time": "14 hours ago", "Likes": "23"}]
```

This module depends on the following python modules
* [requests](https://pypi.org/project/requests/)
* [bot_studio](https://pypi.org/project/bot_studio/)

#### BotStudio
[bot_studio](https://pypi.org/project/bot_studio/) is needed for browser automation. As soon as this library is imported in code, automated browser will open up in which video will be opend and comments will be fetched.

Complete documentation for YouTube Automation available [here](https://youtube-api.datakund.com/en/latest/)

### Installation

```sh
pip install youtube-comment-scraper-python
```

### Import
```sh
from youtube_comment_scraper_python import *
```

### Login with credentials
```sh
youtube.login(username="youtube username",password="youtube password")
```

### Login with cookies
```sh
youtube.login_cookie(cookies=list_of_cookies)
```

### Open video link
```sh
youtube.open("video link")
```

### Get comments
```sh
response=youtube.video_comments()
data=response['body']
```

### Send Feedback to Developers
```sh
bot_studio.send_feedback(feedback="Need help with this ......")
```

### Contact Us
* [Telegram](https://t.me/datakund)
* [Website](https://datakund.com)

